package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B9 {

    public B9() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "新图室分站名")
    private String newBranchStationName;
    @JSONField(name = "室分类型")
    private String branchStationType;
    @JSONField(name = "经度")
    private Double longitude;
    @JSONField(name = "纬度")
    private Double latitude;
    @JSONField(name = "运营商和工程期别")
    private String operator;
    @JSONField(name = "当日远端数")
    private Integer todayDistalCount;
    @JSONField(name = "覆盖平米数")
    private Integer coverSquareMeters;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "新图人")
    private String newPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
@JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B9(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B9(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNewBranchStationName() {
        return newBranchStationName;
    }

    public void setNewBranchStationName(String newBranchStationName) {
        this.newBranchStationName = newBranchStationName;
    }

    public String getBranchStationType() {
        return branchStationType;
    }

    public void setBranchStationType(String branchStationType) {
        this.branchStationType = branchStationType;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getTodayDistalCount() {
        return todayDistalCount;
    }

    public void setTodayDistalCount(Integer todayDistalCount) {
        this.todayDistalCount = todayDistalCount;
    }

    public Integer getCoverSquareMeters() {
        return coverSquareMeters;
    }

    public void setCoverSquareMeters(Integer coverSquareMeters) {
        this.coverSquareMeters = coverSquareMeters;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getNewPerson() {
        return newPerson;
    }

    public void setNewPerson(String newPerson) {
        this.newPerson = newPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B9{" +
                "id=" + id +
                ", newBranchStationName='" + newBranchStationName + '\'' +
                ", branchStationType='" + branchStationType + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", operator='" + operator + '\'' +
                ", todayDistalCount=" + todayDistalCount +
                ", coverSquareMeters=" + coverSquareMeters +
                ", currentTime='" + currentTime + '\'' +
                ", newPerson='" + newPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
