package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;

public class B2 {

    public B2() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "新图站名")
    private String xinTuStation;
    @JSONField(name = "站址类型")
    private String stationType;
    @JSONField(name = "区域类型")
    private String areaType;
    @JSONField(name = "经度")
    private Double longitude;
    @JSONField(name = "纬度")
    private Double latitude;
    @JSONField(name = "运营商和工程期别")
    private String operator;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "新图人")
    private String xinTuPerson;
    @JSONField(name = "员工id")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getXinTuStation() {
        return xinTuStation;
    }

    public void setXinTuStation(String xinTuStation) {
        this.xinTuStation = xinTuStation;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getXinTuPerson() {
        return xinTuPerson;
    }

    public void setXinTuPerson(String xinTuPerson) {
        this.xinTuPerson = xinTuPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }


    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }


    public B2(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B2(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    @Override
    public String toString() {
        return "B2{" +
                "id=" + id +
                ", xinTuStation='" + xinTuStation + '\'' +
                ", stationType='" + stationType + '\'' +
                ", areaType='" + areaType + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", operator='" + operator + '\'' +
                ", currentTime='" + currentTime + '\'' +
                ", xinTuPerson='" + xinTuPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
